package com.fzm.mall.server.front.order.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fzm.mall.server.front.order.model.GoodsCoupon;
import com.fzm.mall.server.front.order.mapper.GoodsCouponMapper;
import com.fzm.mall.server.front.order.service.IGoodsCouponService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-04-14
 */
@Service
public class GoodsCouponServiceImpl extends ServiceImpl<GoodsCouponMapper, GoodsCoupon> implements IGoodsCouponService {

    public GoodsCoupon getByOid(String oid){
        QueryWrapper qw=new QueryWrapper();
        qw.eq("oid",oid);
        return getOne(qw);
    }
}
